<comment>
  # 组件注释
</comment>
<template>
  <div class="login centerHorizontally">
    <img class="bg" src="../assets/gamehall/playmate_same_city_match_bg.png">
    <div class="layout">
      <!--<el-button @click="login" type="success" round>登陆</el-button>-->
    </div>

    <!--<md-popup-->
      <!--v-model="isPopupShow[7]"-->
      <!--transition="md-zoom"-->
    <!--&gt;-->
    <!--</md-popup>-->
  </div>
</template>

<script>
  //import logo from '../../../static/logo.png'
  import {Popup, Toast} from 'mand-mobile'
  export default {
    name: 'login',
    components: {
      //Xgplayer :  () => import('../xgplayer'),
      [Popup.name]: Popup,
    },
    data() {
      return {
        isPopupShow: [],
      }
    },
    //作为子组件的时候应用父组件的时候设定的变量
    props: {},
    //用来观察 方法 对象 变量 有变化 走的回调方法
    watch: {},
    //正常方法
    methods: {
      login(){
        Toast.loading('加载中...')
          setTimeout(() => {
            Toast.hide()
            this.utils.goRouterforPathReplace(this, {
              path: 'gameHall',
            })
          }, 1000)
      },
      showPopUp(type) {
        this.$set(this.isPopupShow, type, true)
      },
    },
    //计算方法
    computed: {},
    //生命周期 渲染html之前 可以初始化数据 只会执行一次
    created() {
      this.login();
    },
    //当页面每次能看见时候执行
    activated() {

    },
    //生命周期 渲染html完毕 可以dom操作
    mounted() {

    },
    //生命周期 离开这个页面
    destroyed() {

    }
  }
</script>

<style scoped>
  .bg {
    width: 100vw;
    height: 100vh
  ;

  }

  .layout {
    position: fixed;
    top:50%;
    left: 39vw;
  }

</style>
